use crate::card::Card;
use crate::card::Suit;

pub struct Deck {
    pub deck: Vec<Card>,
}

impl Deck {
    pub fn new() -> Deck {
        let values: [u8; 9] = [0, 1, 2, 3, 4, 5, 6, 7, 8];
        let suits: [Suit; 4] = [Suit::Hearts, Suit::Diamonds, Suit::Clubs, Suit::Spades];

        let mut deck_cards: Vec<Card> = Vec::new();

        for suit in suits {
            for value in values {
                let card = Card::new(suit, value);
                deck_cards.push(card);
            }
        }

        println!("{:?}\n{}", deck_cards, deck_cards.len());

        Deck {
            deck: deck_cards,
        }
    }

    fn shuffle(deck: Deck) -> Deck {
        todo!()
    }
}
